package com.liang.service;

import com.liang.entity.BaseEconomicsector;
import com.liang.entity.BaseYkl;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;

import java.util.List;

/**
 * (BaseYkl)表服务接口
 *
 * @author makejava
 * @since 2023-03-04 11:46:02
 */
public interface BaseYklService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    BaseYkl queryById(String id);

    /**
     * 分页查询
     *
     * @param baseYkl     筛选条件
     * @param pageRequest 分页对象
     * @return 查询结果
     */
    Page<BaseYkl> queryByPage(BaseYkl baseYkl, PageRequest pageRequest);

    /**
     * 新增数据
     *
     * @param baseYkl 实例对象
     * @return 实例对象
     */
    BaseYkl insert(BaseYkl baseYkl);

    /**
     * 修改数据
     *
     * @param baseYkl 实例对象
     * @return 实例对象
     */
    BaseYkl update(BaseYkl baseYkl);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(String id);

    /**
     * 获取所有数据
     *
     * @return
     */
    List<BaseYkl> queryAll();
}
